Bug 300851 - gfortran crashes with internal compiler error
Summary: gfortran crashes with internal compiler error
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 7
Hardware: x86_64 Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-21 17:23 UTC by Travis O'Brien
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 07:37:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the sources files that generate the bug (9.83 KB, application/x-gzip)
2007-09-24 20:08 UTC, Travis O'Brien
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 20880 None None None Never

Description Travis O'Brien 2007-09-21 17:23:13 UTC
Description of problem:
gfortran fails with the following message:
readvars_ncep.F90: In function ‘readvars_ncep’:
readvars_ncep.F90:3: internal compiler error: in gfc_get_symbol_decl, at
fortran/trans-decl.c:882


Version-Release number of selected component (if applicable):
gcc version 4.1.2 20070502 (Red Hat 4.1.2-12)


How reproducible:
Happens every time on my machine

Steps to Reproduce:
1.unzip/untar the attached sources:
tar -xzvf gfortran-bug-sources.tar.gz

2. attempt to compile the preprocessed file readvars_ncep.f90:
gfortran -c -I./ -g -O3 readvars_ncep.f90
  
Actual results:
readvars_ncep.F90: In function ‘readvars_ncep’:
readvars_ncep.F90:3: internal compiler error: in gfc_get_symbol_decl, at
fortran/trans-decl.c:882
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

Expected results:
Successful compilation, or attempted compilation with syntax errors and such

Additional info:
Bug also exists in "gcc version 4.1.1 20070105 (Red Hat 4.1.1-51)" on Fedora 5
on x86_64

Comment 1 Jakub Jelinek 2007-09-22 12:10:17 UTC
You haven't attached anything.
BTW, please retry with the latest F7 updates testing gcc first
(at least 4.1.2-18.fc7 but better yet 4.1.2-24.fc7).

Comment 2 Travis O'Brien 2007-09-24 20:08:52 UTC
Created attachment 204531 [details]
the sources files that generate the bug

contains the following files:

domain_module.mod
function_interfaces.h
netcdf.inc
readvars_ncep.f90

Comment 3 Jakub Jelinek 2007-09-24 20:23:05 UTC
Can you please also provide domain_module.f90?
The *.mod files aren't compatible between different GCC versions, so it is
hard to check it with a newer version.

Comment 4 Jakub Jelinek 2007-09-25 14:45:54 UTC
This is PR20880, your testcase is invalid (though of course gfortran shouldn't
ICE on it).
Section 12.3.2.1 of J3/97-007R2 e.g. says:
Constraint: An interface-block in a subprogram shall not contain an
interface-body for a procedure defined by that subprogram.
which is exactly what this is doing, readvars_ncep procedure in its body
includes function_interfaces.h which provides interface-block for
readvars_ncep.

Comment 5 Jakub Jelinek 2007-09-26 07:37:21 UTC
Should be fixed in gcc-4.1.2-28 and 4.1.2-27.fc7.


Note You need to log in before you can comment on or make changes to this bug.